Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rabbit.meta
Class AccessGetter

    java.lang.Object
      rabbit.meta.AccessGetter

All Implemented Interfaces:
  MetaHandler

    public class AccessGetter

extends java.lang.Object
implements MetaHandler

A metapage that allows setting of the valid ip addreses.

Constructor Summary
`AccessGetter()` default constructor

Method Summary
`void` | `handle(java.io.InputStream input, MultiOutputStream output, HTTPHeader header, java.util.Properties htab, Connection con)` Handler of a MetaPage, that is a special page the proxy supports (like the status page).
`void` | `sendPage(MultiOutputStream output, Connection con)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AccessGetter

    public AccessGetter()

  default constructor

Method Detail

### handle

    public void handle(java.io.InputStream input,
                       MultiOutputStream output,
                       HTTPHeader header,
                       java.util.Properties htab,
                       Connection con)

  Description copied from interface: `MetaHandler`
  Handler of a MetaPage, that is a special page the proxy supports (like the status page). This method may be called by several threads simultaniously, synchronize when needed.

  Specified by:
    `handle` in interface `MetaHandler`
  Parameters:
    `input` - the InputStream from the client.
    `output` - the OutputStream to the client.
    `header` - the http request header
    `htab` - the supplied argument to the page (CGI-parameters).
    `con` - the Connection that is serving the request.

### sendPage

    public void sendPage(MultiOutputStream output,
                         Connection con)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD